aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid E. O'Brien <obrien@FreeBSD.org>2001-08-20 21:22:33 +0000
committerDavid E. O'Brien <obrien@FreeBSD.org>2001-08-20 21:22:33 +0000
commit9c2ee3164b2ed8893ce7fa1000d1f82ac6380c7d (patch)
treeb062cfedec2ec15adebf8026112f58fc3022b1ab
parent729956024ee64574934c15db530ee63bae0c48f1 (diff)
downloadsrc-9c2ee3164b2ed8893ce7fa1000d1f82ac6380c7d.tar.gz
src-9c2ee3164b2ed8893ce7fa1000d1f82ac6380c7d.zip
+ do not hard code where a port may be installed to
+ uses `mkisofs' rather than `mkhybrid' as the new mkisofs is the merger of the two + checks for `setcdboot's existsance and tries to pkg_add it if needed + removes English contraction Approved by: jkh
Notes
Notes: svn path=/head/; revision=81997
-rw-r--r--release/alpha/mkisoimages.sh17
-rw-r--r--release/amd64/mkisoimages.sh7
-rw-r--r--release/i386/mkisoimages.sh7
3 files changed, 22 insertions, 9 deletions
diff --git a/release/alpha/mkisoimages.sh b/release/alpha/mkisoimages.sh
index 1019cba585d1..8fdab1808410 100644
--- a/release/alpha/mkisoimages.sh
+++ b/release/alpha/mkisoimages.sh
@@ -33,10 +33,11 @@ if [ $# -lt 3 ]; then
exit 1
fi
-if [ ! -x /usr/local/bin/mkhybrid ]; then
+type mkisofs 2>&1 | grep " is " >/dev/null
+if [ $? -eq 0 ]; then
echo The mkisofs port is not installed. Trying to get it now.
if ! pkg_add -r mkisofs; then
- echo "Couldn't get it via pkg_add - please go install this"
+ echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2
fi
@@ -45,7 +46,17 @@ fi
LABEL=$1; shift
NAME=$1; shift
-mkhybrid -r -J -h -V $LABEL -o $NAME $*
+mkisofs -r -J -h -V $LABEL -o $NAME $*
+
+type setcdboot 2>&1 | grep " is " >/dev/null
+if [ $? -eq 0 ]; then
+ echo The setcdboot port is not installed. Trying to get it now.
+ if ! pkg_add -r setcdboot; then
+ echo "Could not get it via pkg_add - please go install this"
+ echo "from the ports collection and run this script again."
+ exit 2
+ fi
+fi
if [ "x$bootable" != "x" ]; then
setcdboot $NAME /boot/cdboot
fi
diff --git a/release/amd64/mkisoimages.sh b/release/amd64/mkisoimages.sh
index 78221f9ccc30..c61ee5526a15 100644
--- a/release/amd64/mkisoimages.sh
+++ b/release/amd64/mkisoimages.sh
@@ -36,10 +36,11 @@ if [ $# -lt 3 ]; then
exit 1
fi
-if [ ! -x /usr/local/bin/mkhybrid ]; then
+type mkisofs 2>&1 | grep " is " >/dev/null
+if [ $? -eq 0 ]; then
echo The mkisofs port is not installed. Trying to get it now.
if ! pkg_add -r mkisofs; then
- echo "Couldn't get it via pkg_add - please go install this"
+ echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2
fi
@@ -48,4 +49,4 @@ fi
LABEL=$1; shift
NAME=$1; shift
-mkhybrid $bootable -r -J -h -V $LABEL -o $NAME $*
+mkisofs $bootable -r -J -h -V $LABEL -o $NAME $*
diff --git a/release/i386/mkisoimages.sh b/release/i386/mkisoimages.sh
index 78221f9ccc30..c61ee5526a15 100644
--- a/release/i386/mkisoimages.sh
+++ b/release/i386/mkisoimages.sh
@@ -36,10 +36,11 @@ if [ $# -lt 3 ]; then
exit 1
fi
-if [ ! -x /usr/local/bin/mkhybrid ]; then
+type mkisofs 2>&1 | grep " is " >/dev/null
+if [ $? -eq 0 ]; then
echo The mkisofs port is not installed. Trying to get it now.
if ! pkg_add -r mkisofs; then
- echo "Couldn't get it via pkg_add - please go install this"
+ echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2
fi
@@ -48,4 +49,4 @@ fi
LABEL=$1; shift
NAME=$1; shift
-mkhybrid $bootable -r -J -h -V $LABEL -o $NAME $*
+mkisofs $bootable -r -J -h -V $LABEL -o $NAME $*